@echo off
setlocal
rem %0 loop-cnt "command-to-execute" quotes required

set F=foo
set F=bar
if "!F!" == "bar"  goto OK
    rem requires cmd expansion
    echo Invoking %comspec% /V:on /E:on %0
    %comspec% /V:on /E:on /C %0 %1 %2 %3
    exit /B !ERRORLEVEL!
:OK

if "%1" == "" (
:usage
    echo  %0 loop-cnt "command-to-execute_in_quotes" [seconds-to-pause-after-loop]
    exit /B 1
)

if "%~2" == "" (
	goto usage
)

if "%3" == "" (
	set TO=0
) else (
	set TO=%3
)


set STIME=%DATE% %TIME%

for /L %%l in (1,1,%1) do (
	Title "loop [%%l of %1] %~2"
	call %~2
	if !ERRORLEVEL! NEQ 0 (
		echo.
		echo Err [!ERRORLEVEL!] in loop %%l for '%~2'
		exit /B 1
	)
	echo.
	echo End loop %%l of %1 on !DATE! !TIME!
        if %%l LSS %1 (
		if %TO% GTR 0   timeout /T %TO%
	)
)
echo.
echo cmd: '%~2'
echo.
echo Start time: %STIME%
echo End   time: !DATE! !TIME!
endlocal
